Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jclark.xsl.expr
Interface ExprContext

All Known Subinterfaces:
  ProcessContext

public interface ExprContext

packages up the context available to the XSLT engine when evaluating XPath expressions

Method Summary
`Node` | `getCurrent(Node contextNode)`
`NodeIterator` | `getDocument(java.net.URL baseURL, java.lang.String uriRef)` returns a parsed representation of the document at the given URL. ... enables the "document()" function of XSLT 1.0 section 12.1
`ExtensionContext` | `getExtensionContext(java.lang.String namespace)`
`Variant` | `getGlobalVariableValue(Name name)` access to the stylesheet's global variables
`KeyValuesTable` | `getKeyValuesTable(Name keyName, Node n)`
`int` | `getLastPosition()`
`Variant` | `getLocalVariableValue(Name name)` access to the stylesheet's in-scope local variables
`int` | `getPosition()`
`Variant` | `getSystemProperty(Name name)` provides access to the system properties for the system-property() function in XSLT 1.0 section 12.4
`Node` | `getTree(Variant v)`

Method Detail

### getPosition

    public int getPosition()
                    throws XSLException

  Throws:
    `XSLException`

### getLastPosition

    public int getLastPosition()
                        throws XSLException

  Throws:
    `XSLException`

### getGlobalVariableValue

    public Variant getGlobalVariableValue(Name name)
                                   throws XSLException

  access to the stylesheet's global variables

  Throws:
    `XSLException`

### getLocalVariableValue

    public Variant getLocalVariableValue(Name name)
                                  throws XSLException

  access to the stylesheet's in-scope local variables

  Throws:
    `XSLException`

### getExtensionContext

    public ExtensionContext getExtensionContext(java.lang.String namespace)
                                         throws XSLException

  Throws:
    `XSLException`

### getSystemProperty

    public Variant getSystemProperty(Name name)

  provides access to the system properties for the system-property() function in XSLT 1.0 section 12.4

### getCurrent

    public Node getCurrent(Node contextNode)

### getDocument

    public NodeIterator getDocument(java.net.URL baseURL,
                                    java.lang.String uriRef)
                             throws XSLException

  returns a parsed representation of the document at the given URL. ... enables the "document()" function of XSLT 1.0 section 12.1

  Throws:
    `XSLException`

### getKeyValuesTable

    public KeyValuesTable getKeyValuesTable(Name keyName,
                                            Node n)

  Returns:
    the indexed nodes for the named key in the node's document

### getTree

    public Node getTree(Variant v)
                 throws XSLException

  Throws:
    `XSLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD